Page MenuHomePhabricator

Enable anniversary logo for fr.wikipedia - 20th birthday
Closed, ResolvedPublic

Description

A vote is in progress to validate the temporary logo chosen to celebrate Wikipedia's 20th anniversary. Note that fr.wikipedia is using the new Vector skin under development by default.

I will update the ticket when the voting is done (few hours). This ticket is opened in advance to attract the attention of a developer... Since it's almost midnight in France and French people are the main readers of this edition.

Event Timeline

Urbanecm added a subscriber: Urbanecm.

Triaging as high, given the Jan 15 soft deadline :). We'll need a new version of https://en.wikipedia.org/static/images/mobile/copyright/wikipedia.png to do this.

Golmore raised the priority of this task from High to Unbreak Now!.Jan 14 2021, 11:09 PM
Lofhi lowered the priority of this task from Unbreak Now! to High.Jan 14 2021, 11:13 PM

@Urbanecm: can we upload variant of /static/images/mobile/copyright/wikipedia-wordmark-fr.svg?

@Urbanecm: can we upload variant of /static/images/mobile/copyright/wikipedia-wordmark-fr.svg?

Yes, that's possible as well. Just need the files :).

Here! https://commons.wikimedia.org/wiki/File:Wikipedia20-wordmark-fr.svg
Is the image ratio too big for the mobile version? I'm afraid so.

Yeah, definitely. It's generally unsafe to change the dimensions of the logo.

Errrh okay. The new logo structure is quite annoying.

Well, too bad for the mobile readers then, they will be put aside as usual. If /static/images/mobile/copyright/wikipedia-tagline-fr.svg has a text on two lines, is it problematic? The image is only visible on the computer version. I do my best to follow the consensus...

So, can we use this file for the main logo and specify the height/width to 62? Or the same size than the actual image if it's not possible - https://commons.wikimedia.org/wiki/File:WP20Symbols_CAKE1.svg
For the tagline, is it possible to use this file ? https://commons.wikimedia.org/wiki/File:Wikipedia20-tagline.svg

This sounds doable. It would look like this:

image.png (852×1 px, 400 KB)

The mobile version would remain unchanged (as it's usually the case during anniversary logo changes).

Can you confirm this looks good to your local community?

I think it's OK @Urbanecm. (But the "e" of "libre" is cut.)

The "e" should not be removed since it's on the file. With the "e", it will be perfect (if the images are not blurred in the final result)!

Change 656503 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Set anniversary logo for frwiki

https://gerrit.wikimedia.org/r/656503

I just saw that the text was truncated because of me. I uploaded a new version on Commons. Sorry.

Change 656503 merged by jenkins-bot:
[operations/mediawiki-config@master] Set anniversary logo for frwiki

https://gerrit.wikimedia.org/r/656503

Change 656505 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] frwiki: Increase size for frwiki anniversary tagline

https://gerrit.wikimedia.org/r/656505

Change 656505 merged by jenkins-bot:
[operations/mediawiki-config@master] frwiki: Increase size for frwiki anniversary tagline

https://gerrit.wikimedia.org/r/656505

Mentioned in SAL (#wikimedia-operations) [2021-01-15T20:21:50Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/wikipedia-fr-20.svg: 66e6be391ecfde7ca0604146ab978987ce472b5c: Set anniversary logo for frwiki (1/3; T272075) (duration: 01m 54s)

Change 656508 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Compress frwiki's anniversary logos

https://gerrit.wikimedia.org/r/656508

Change 656508 merged by jenkins-bot:
[operations/mediawiki-config@master] Compress frwiki's anniversary logos

https://gerrit.wikimedia.org/r/656508

Mentioned in SAL (#wikimedia-operations) [2021-01-15T20:36:41Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/wikipedia-fr-20.svg: 66e6be391ecfde7ca0604146ab978987ce472b5c: Set anniversary logo for frwiki (1/3; T272075) (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2021-01-15T20:37:56Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/wikipedia-tagline-fr-20.svg: 66e6be391ecfde7ca0604146ab978987ce472b5c: Set anniversary logo for frwiki (2/3; T272075) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-01-15T20:39:14Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 66e6be391ecfde7ca0604146ab978987ce472b5c: Set anniversary logo for frwiki (3/3; T272075) (duration: 00m 55s)

Urbanecm closed this task as Resolved.EditedJan 15 2021, 8:39 PM
Urbanecm claimed this task.

Done -- let us know when it's time to revert.